Name:           okio
Version:        1.17.4
Release:        1%{?dist}
Summary:        Java I/O library
License:        ASL 2.0
URL:            https://github.com/square/%{name}/
BuildArch:      noarch

Source0:        https://github.com/square/%{name}/archive/%{name}-parent-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
Okio is a new library that complements java.io and java.nio to make it
much easier to access, store, and process data.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
this package provides %{summary}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}

# Don't ship benchmarks
%pom_disable_module benchmarks

# Remove dependency on Animal Sniffer (not usable in Fedora)
%pom_remove_plugin :animal-sniffer-maven-plugin okio
%pom_remove_dep :animal-sniffer-annotations okio
sed -i /IgnoreJRERequirement/d okio/src/main/java/okio/{DeflaterSink,Okio}.java

# remove missing additional dependencies for the compiler plugin
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]//pom:compilerId'
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]//pom:dependencies'

# Skip one test which fails on ARM due to poor JVM performance.
sed -i /writeWithTimeout/s/./@org.junit.Ignore/ okio/src/test/java/okio/SocketTimeoutTest.java

%build
# Tests require networking
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Mon Jun 10 2019 Mat Booth <mat.booth@redhat.com> - 1.17.4-1
- Update to latest upstream release

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 20 2018 Mat Booth <mat.booth@redhat.com> - 1.14.0-1
- Update to latest release

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 02 2017 Michael Simacek <msimacek@redhat.com> - 1.13.0-1
- Update to upstream version 1.13.0

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 09 2017 Mat Booth <mat.booth@redhat.com> - 1.6.0-4
- Allow conditional build without benchmarks

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.6.0-2
- Add missing build-requires

* Tue Feb 16 2016 Gerard Ryan <galileo@fedoraproject.org> - 1.6.0-1
- Update to version 1.6.0 for okhttp-2.7.4

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 11 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.0-1
- Update to upstream version 1.2.0

* Fri Sep 26 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.1-1
- Initial packaging
